Subject: bug#3043: 23.0.92; GtkFileSelection is deprecated

From: Jan Djärv <[email-masked]>
Date: Sat, 18 Apr 2009 18:30:48 +0200

Sven Joachim skrev:
> Emacs uses GtkFileSelection in gtkutil.c which has been deprecated in
> GTK+ 2.12.  That means that it will not build with a future GTK+ 3.0,
> or with -DGTK_DISABLE_DEPRECATED in a current GTK+ 2.x.
> 
> This problem is not urgent, but it would be good if gtkutil.c could use
> the GtkFileChooser interface instead.
> 

Actually Emacs has used GtkFileChooser by default for a long time now, more or 
less since it became available in a stable Gtk+ release.  But if both are 
available, GtkFileSelection can be used (I don't remember the customize 
variable for it right now).  There is a configure test for both file dialogs, 
so if one is removed in 3.0, Emacs will compile just fine.  However, as 
configure just looks at link time symbols, we might not do the right thing 
when compiled with -DGTK_DISABLE_DEPRECATED.  I'll check this.

	Jan D.